<?php
   /*
   Plugin Name: wpTranslate - Automatic Translator
   Description: An automatic language translater for WordPress powered by Google Translate
   Version: 1.1
   Author: 20Script
   Author URI: http://www.20script.ir
   */
   		
	include ('admin/options_page.php'); //Admin options page
	include ('front-end.php'); //Front end HTML output & queries
		
	// Initialize Admin Files
	function wpt_admin_add_init() {
		wp_register_style( 'wpt_admin_style', plugins_url() . '/wp_translate/css/wpt-admin.css', false);
		wp_enqueue_style( 'wpt_admin_style' );
		wp_register_script( 'wpt_admin_js', plugins_url() . '/wp_translate/js/wpt-admin.js', false, '1.0.0' );
		wp_enqueue_script('wpt_admin_js');
	}
	add_action('admin_init', 'wpt_admin_add_init');
	
	// Initialize Front-End Files
	function wpt_front_end_init() {
		wp_register_style( 'wpt_front_style', plugins_url() . '/wp_translate/css/wpt-front.css' );
		wp_enqueue_style( 'wpt_front_style' );
		wp_register_script( 'wpt_front_js', plugins_url() . '/wp_translate/js/wpt-front.js', false, '1.0.0', true );
		wp_enqueue_script('wpt_front_js');
		wp_register_script('google-translate', ("http://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"), false);
		wp_enqueue_script('google-translate');
	}
	add_action( 'wp_enqueue_scripts', 'wpt_front_end_init' );
	
	//Register Menu Page & Options
	add_action('admin_menu', 'wpt_register_options_page');

	function wpt_register_options_page() {
		add_options_page('wpTranslate Options', 'Translate', 'manage_options', 'wp_translate.php', 'wpt_settings_page');
		add_action( 'admin_init', 'register_wpt_settings' );
	}
	
	//Initialize Google Translate Functionality
	function wpt_add_meta(){
		echo '<meta name="google-translate-customization" content="ed63b45a84fd002d-1a84c3b7b028a717-gadf24062a8f7fd39-20"></meta>';
	}
	add_action('wp_head', 'wpt_add_meta');
	
	// Enable nice scroll?
	if (esc_attr( get_option('enable-nice-scroll')) != ''):
		function wpt_nice_scroll_init() {
			wp_register_script( 'wpt_nice_scroll', plugins_url() . '/wp_translate/js/jquery.nicescroll.min.js', false, '1.0.0', true );
			wp_enqueue_script('wpt_nice_scroll');
			wp_register_script( 'wpt_scroll', plugins_url() . '/wp_translate/js/wpt-scroll.js', false, '1.0.0', true );
			wp_enqueue_script('wpt_scroll');
		}
		add_action( 'wp_enqueue_scripts', 'wpt_nice_scroll_init' );
	endif;	
	
?>